www.cendio.com
Bug 4815 - output from ssh isn't logged properly on Windows
: output from ssh isn't logged properly on Windows
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-09-25 10:13 by
Modified: 2013-11-05 14:06 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-09-25 10:13:20
We improved the logging in Windows as part of bug 3183. Unfortunately a bug
snuck in an we aren't logging things properly when given a file descriptor
rather than a file HANDLE on Windows.
------- Comment #1 From cendio 2013-09-25 10:15:00 -------
Fixed in r27931 and some related logging improvements in r27932 and r27933.
------- Comment #2 From cendio 2013-10-10 16:21:04 -------
This is a fuzzy bug description, what i can read out of the mentioned fixes the
read from stdout/stderr wasn't correct and this would probably affect other
processes and not only ssh ?

However testing tlclient build 4109 on Windows 8, tlclient.log shows proper
logging of sub processes including ssh.
------- Comment #3 From cendio 2013-10-11 09:31:20 -------
Test by checking output during session (-d5) for example when tunnels are
connected,
check pulseaudio / printing.
------- Comment #4 From cendio 2013-10-11 10:53:47 -------
Verified using build 4109 on Windows 8 and it works as expected.
ssh logs when a pulseaudio client connects to a channel.
------- Comment #5 From cendio 2013-11-05 13:26:02 -------
Reopen because of bug 4569 comment 18.
------- Comment #6 From cendio 2013-11-05 14:05:50 -------
We need to clean up the Windows subprocess code to fix this. Moving to bug 4886
instead.